---
updatedAt: 2026-01-05T21:32:58.000Z
agentTools:
  projectIndex: https://lirium.readme.io/llms.txt
---

# Delete Subscription

Remove a webhook subscription

Delete a webhook subscription to stop receiving events at the configured URL.

## Request

`DELETE /webhooks/subscriptions/{subscription_id}`

### Path Parameters

| Parameter        | Type   | Required | Description                          |
| ---------------- | ------ | -------- | ------------------------------------ |
| subscription\_id | string | Yes      | The ID of the subscription to delete |

### Example Request

```
DELETE /webhooks/subscriptions/sub_abc123def456
```

### Example Response

```json
{
  "id": "sub_abc123def456",
  "deleted": true
}
```

## Notes

* Deleting a subscription is immediate and irreversible
* Any pending events for the subscription will not be delivered
* You can create a new subscription with the same URL if needed

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Lirium API",
    "version": "1.0",
    "description": "The Lirium API enables partners to integrate cryptocurrency buy/sell operations,\ncustomer management, and investment services into their applications.\n",
    "contact": {
      "name": "Lirium Support",
      "email": "api@lirium.com"
    }
  },
  "servers": [
    {
      "url": "https://api.lirium-sandbox.com/v1",
      "description": "Sandbox"
    },
    {
      "url": "https://api.lirium.com/v1",
      "description": "Production"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "x-default": "<JWT>",
        "x-bearer-format": "bearer"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/webhooks/subscriptions/{action}": {
      "delete": {
        "summary": "Delete Subscription",
        "description": "",
        "operationId": "deleteWebhookSubscription",
        "parameters": [
          {
            "name": "action",
            "in": "path",
            "description": "One of the 3 possible webhook actions",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```